org.apache.lucene.queryparser.xml.builders

## Class SpanOrBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.SpanBuilderBase
  - - org.apache.lucene.queryparser.xml.builders.SpanOrBuilder

- All Implemented Interfaces:
    SpanQueryBuilder, QueryBuilder

      public class SpanOrBuilder
      extends SpanBuilderBase

  Builder for `SpanOrQuery`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanOrBuilder(SpanQueryBuilder factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpanQuery` | `getSpanQuery(Element e)`

    - ### Methods inherited from class org.apache.lucene.queryparser.xml.builders.SpanBuilderBase

      `getQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanOrBuilder

          public SpanOrBuilder(SpanQueryBuilder factory)

  - ### Method Detail

    - #### getSpanQuery

          public SpanQuery getSpanQuery(Element e)
                                 throws ParserException

      Throws:
        `ParserException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.